Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class EngineException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.engine.api.EngineException

Direct Known Subclasses:
  UnsupportedFormatException

    public class EngineException

extends BirtException

Define an engine exception that clients of the engine need to handle. EngineException builds on top of BireException and provides resource bundle support

Field Summary
`protected BirtException` | `birtException`
`protected static com.ibm.icu.util.UResourceBundle` | `dftRb`
`protected long` | `elementId`
`protected static java.lang.String` | `pluginId`
`protected static java.util.HashMap` | `resourceBundles`
`protected static java.lang.ThreadLocal` | `threadLocal`

Constructor Summary
`EngineException(BirtException ex)`
`EngineException(java.lang.String errorCode, java.lang.Object arg0)`
`EngineException(java.lang.String errorCode, java.lang.Object[] args)`
`EngineException(java.lang.String errorCode, java.lang.Object[] args, java.lang.Throwable cause)`
`EngineException(java.lang.String errorCode, java.lang.Object arg0, java.lang.Throwable cause)`
`EngineException(java.lang.String errorCode, java.lang.Throwable cause)`

Method Summary
`long` | `getElementID()` Get element id.
`java.lang.String` | `getErrorCode()`
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getPluginId()`
`protected static com.ibm.icu.util.UResourceBundle` | `getResourceBundle(com.ibm.icu.util.ULocale locale)` Get resource bundle.
`int` | `getSeverity()`
`void` | `setElementID(long id)` Set element id.
`void` | `setSeverity(int severity)`
`static void` | `setULocale(com.ibm.icu.util.ULocale locale)` Set locale.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dftRb

    protected static com.ibm.icu.util.UResourceBundle dftRb

### threadLocal

    protected static java.lang.ThreadLocal threadLocal

### pluginId

    protected static final java.lang.String pluginId

See Also:
  Constant Field Values

### elementId

    protected long elementId

### birtException

    protected BirtException birtException

### resourceBundles

    protected static java.util.HashMap resourceBundles

Constructor Detail

### EngineException

    public EngineException(BirtException ex)

### EngineException

    public EngineException(java.lang.String errorCode,
                           java.lang.Object arg0)

Parameters:
  `errorCode` - erroe code for the exception
  `arg0` - message argument

### EngineException

    public EngineException(java.lang.String errorCode,
                           java.lang.Object arg0,
                           java.lang.Throwable cause)

Parameters:
  `errorCode` -
  `arg0` - message argument
  `cause` - the cause of the exception

### EngineException

    public EngineException(java.lang.String errorCode,
                           java.lang.Object[] args)

Parameters:
  `errorCode` - error code
  `args` - message argument

### EngineException

    public EngineException(java.lang.String errorCode,
                           java.lang.Object[] args,
                           java.lang.Throwable cause)

Parameters:
  `errorCode` - error code
  `args` - message arguments
  `cause` - the cause of the exception

### EngineException

    public EngineException(java.lang.String errorCode,
                           java.lang.Throwable cause)

Parameters:
  `errorCode` - the error code for the exception
  `cause` - the cause of the exception

Method Detail

### setULocale

    public static void setULocale(com.ibm.icu.util.ULocale locale)

  Set locale.

  Parameters:
    `locale` -

### getResourceBundle

    protected static com.ibm.icu.util.UResourceBundle getResourceBundle(com.ibm.icu.util.ULocale locale)

  Get resource bundle.

  Parameters:
    `locale` -
  Returns:
    resource bundle

### setElementID

    public void setElementID(long id)

  Set element id.

  Parameters:
    `id` -

### getElementID

    public long getElementID()

  Get element id.

  Returns:
    element id

### getErrorCode

    public java.lang.String getErrorCode()

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

### getMessage

    public java.lang.String getMessage()

### getPluginId

    public java.lang.String getPluginId()

### getSeverity

    public int getSeverity()

### setSeverity

    public void setSeverity(int severity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.